> For the complete documentation index, see [llms.txt](https://legacy-docs.usesmileid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.usesmileid.com/integration-options/rest-api/products.md).

# Products

### Basic KYC

Verify the Identity Information for an individual using their user submitted information and their information in an ID authority database from one of our supported ID Types. Link to documentation [here](/products/for-individuals-kyc/basic-kyc.md).

### Enhanced KYC

Query the Identity Information for an individual using their ID number from one of our supported ID Types. Link to documentation [here](/products/for-individuals-kyc/identity-lookup.md).

### Biometric KYC

Verify the ID information of your user and confirm that the ID actually belongs to the user, by comparing the user's selfie to either the photo of the user on file in an ID authority database or a photo of their ID card. Link to the documentation [here](/products/for-individuals-kyc/biometric-kyc.md).

### Document Verification

Verify the ID information of your user, that the ID actually belongs to the user and the ID card photo submitted by the user is authentic. Link to the documentation [here](/products/for-individuals-kyc/document-verification.md).

### SmartSelfie™ Authentication

Verify that an existing user is really the person attempting to access your system or service. Link to the documentation [here](/products/for-individuals-kyc/biometric-authentication.md).

### Electronic Signature

Upload documents for signatures by an individual, and allow the individual sign the documents. Link to documentation [here](/products/for-individuals-kyc/electronic-signature.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy-docs.usesmileid.com/integration-options/rest-api/products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
